import parser;
import Yylex;
import java_cup.runtime.*;
import java.io.*;

public class Main {
  public static void main(String argv[])
  {
    try {
      // allocate a parser object
      Yylex lex=new Yylex(System.in);
      parser parse_obj=new parser(lex);

      int value=((Integer)parse_obj.parse().value).intValue();
      System.out.println("Value of expression is "+value);
    }
    catch (Exception e) {
      System.err.println("Caught exception: "+e);
    }
  }
}
